Update a webhook subscription
curl --request PATCH \
--url https://api-sandbox.circle.com/v2/notifications/subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Digital Asset Accounts Webhook",
"enabled": true
}
'import requests
url = "https://api-sandbox.circle.com/v2/notifications/subscriptions/{id}"
payload = {
"name": "Digital Asset Accounts Webhook",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Digital Asset Accounts Webhook', enabled: true})
};
fetch('https://api-sandbox.circle.com/v2/notifications/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"name": "Digital Asset Accounts Webhook",
"endpoint": "https://example.org/handler/for/notifications",
"enabled": true,
"createDate": "2026-08-25T19:17:02.429Z",
"updateDate": "2026-08-25T19:17:02.429Z",
"notificationTypes": [
"*"
],
"restricted": false
}
}{
"code": 2,
"message": "API parameter invalid."
}{
"code": 4,
"message": "Unauthorized."
}{
"code": 404,
"message": "Not found."
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}Update a webhook subscription
Update a webhook subscription’s name or enabled state.
PATCH
/
v2
/
notifications
/
subscriptions
/
{id}
Update a webhook subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Developer-provided parameter used to identify this request. Useful when communicating with Circle Support.
Example:
"2adba88e-9d63-44bc-b975-9b6ae3440dde"
Path Parameters
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Body
application/json
Schema for the request payload to update a subscription.
Response
Successfully updated webhook subscription.
Contains information about a webhook notification subscription.
Show child attributes
Show child attributes
Was this page helpful?